package com.ruoyi.common.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 通用基类
 * @TableField(exist = false) 标记不是表里的字段
 *
 * @author zm
 * @data 2025-03-10
 */
@Data
public class CurrencyEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 当前页
     */
    @NotNull(message = "pageNum Not Null!")
    @TableField(exist = false)
    private Long pageNum;

    /**
     * 显示数量
     */
    @NotNull(message = "pageSize Not Null!")
    @TableField(exist = false)
    private Long pageSize;

    /**
     * 创建时间组
     */
    @TableField(exist = false)
    private String[] createTimes;

    /**
     * 导出时间组
     */
    @TableField(exist = false)
    private String[] exportTimes;

    /**
     * 批量删除对象
     */
    @TableField(exist = false)
    private List<ItemDel> delList;
}
